summaryrefslogtreecommitdiff
path: root/configure.sh
diff options
context:
space:
mode:
authorMathias Preiner <mathias.preiner@gmail.com>2020-03-31 16:44:03 -0700
committerGitHub <noreply@github.com>2020-03-31 16:44:03 -0700
commit186b3872a3de454d0f30224dc2e0a396163c3fdc (patch)
tree43de111d5b4addf3d64b4fd63d2ffae9c2ede23e /configure.sh
parentbded1a268b0ca9959ca1223dd04de8db535cc99a (diff)
Switch to GitHub actions for CI (#4190)
Enable CI with GitHub actions, add macOS builds and disable Travis CI.
Diffstat (limited to 'configure.sh')
-rwxr-xr-xconfigure.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/configure.sh b/configure.sh
index bd95e38ed..070e2c230 100755
--- a/configure.sh
+++ b/configure.sh
@@ -1,6 +1,8 @@
-#!/bin/sh
+#!/bin/bash
#--------------------------------------------------------------------------#
+set -e -o pipefail
+
usage () {
cat <<EOF
Usage: $0 [<build type>] [<option> ...]
@@ -458,7 +460,7 @@ root_dir=$(pwd)
[ $win64 = ON ] && [ -e "$build_dir" ] && rm -r "$build_dir"
mkdir -p "$build_dir"
-cd "$build_dir" || exit 1
+cd "$build_dir"
[ -e CMakeCache.txt ] && rm CMakeCache.txt
build_dir_escaped=$(echo "$build_dir" | sed 's/\//\\\//g')
generated by cgit on debian on lair
contact matthew@masot.net with questions or feedback